/*!
  * vue-keepState v1.0.1
  * (c) 2020 Evan You
  * @license MIT
  */
(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
	typeof define === 'function' && define.amd ? define(factory) :
	(global = typeof globalThis !== 'undefined' ? globalThis : global || self, global.VueKeepState = factory());
}(this, (function () { 'use strict';

	function createCommonjsModule(fn, module) {
		return module = { exports: {} }, fn(module, module.exports), module.exports;
	}

	var src = createCommonjsModule(function (module, exports) {
	(function () {

	  var KeepState = {};
	  KeepState.config = {};

	  KeepState.install = function (Vue, options) {

	    Vue.myGlobalMethod = function () {
	    };

	    Vue.directive('my-directive', {
	      bind: function bind (el, binding, vnode, oldVnode) {
	      }
	    });
	  

	    Vue.mixin({
	      created: function () {
	      }
	    });
	  
	    Vue.prototype.$myMethod = function (methodOptions) {
	    };
	  };


	  {
	    module.exports = KeepState;
	  }

	})();
	});

	return src;

})));
//# sourceMappingURL=vue-keepState.js.map
